﻿using Luticate2.Utils.Controllers;
using Luticate2.Utils.Dbo.OrderBy;
using Microsoft.AspNetCore.Mvc;
using Test.Utils.Dbo.PkGuid;
using WebTest.Business;

namespace WebTest.Controllers
{
    public class PkGuidController : LuController
    {
        private readonly PkGuidBusiness _busines;

        public PkGuidController(PkGuidBusiness busines)
        {
            _busines = busines;
        }

        [Route("[controller]/{id}")]
        public PkGuidDbo Get(string id)
        {
            return Handle(_busines.GetSingleById(id));
        }

        [Route("[controller]")]
        public PkGuidDbo Get(LuOrderByDbo orderBy)
        {
            return new PkGuidDbo();
//            return Handle(_busines.GetMultiple());
        }
    }
}